org.apache.ignite.internal.processors.cache.distributed.dht.atomic

## Class GridNearAtomicAbstractSingleUpdateRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheMessage
  - - org.apache.ignite.internal.processors.cache.GridCacheIdMessage
    - - org.apache.ignite.internal.processors.cache.distributed.dht.atomic.GridNearAtomicAbstractUpdateRequest
      - - org.apache.ignite.internal.processors.cache.distributed.dht.atomic.GridNearAtomicAbstractSingleUpdateRequest

All Implemented Interfaces:
  Serializable, GridCacheDeployable, Message

Direct Known Subclasses:
  GridNearAtomicSingleUpdateRequest

    public abstract class GridNearAtomicAbstractSingleUpdateRequest
    extends GridNearAtomicAbstractUpdateRequest

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.distributed.dht.atomic.GridNearAtomicAbstractUpdateRequest

`CACHE_MSG_IDX, flags, futId, nodeId, op, subjId, syncMode, taskNameHash, topVer`

### Fields inherited from class org.apache.ignite.internal.processors.cache.GridCacheIdMessage

`cacheId`

### Fields inherited from class org.apache.ignite.internal.processors.cache.GridCacheMessage

`addDepInfo, CACHE_MSG_INDEX_FIELD_NAME, forceAddDepInfo, MAX_CACHE_MSG_LOOKUP_INDEX`

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Constructor Summary

Constructors
`protected` `GridNearAtomicAbstractSingleUpdateRequest()` Empty constructor required by `Externalizable`.
`protected` `GridNearAtomicAbstractSingleUpdateRequest(int cacheId, UUID nodeId, long futId, AffinityTopologyVersion topVer, CacheWriteSynchronizationMode syncMode, GridCacheOperation op, UUID subjId, int taskNameHash, byte flags, boolean addDepInfo)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.cache.expiry.ExpiryPolicy` `expiry()`
`CacheEntryPredicate[]` `filter()`
`Object[]` `invokeArguments()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.processors.cache.distributed.dht.atomic.GridNearAtomicAbstractUpdateRequest

`addDeploymentInfo, cleanup, conflictExpireTime, conflictTtl, conflictVersion, conflictVersions, entryProcessor, fieldsCount, futureId, keepBinary, keepBinary, key, keys, lookupIndex, messageLogger, nearCache, nodeId, onResponse, operation, readFrom, recovery, recovery, response, returnValue, returnValue, size, skipStore, skipStore, subjectId, taskNameHash, topologyVersion, value, values, writeSynchronizationMode, writeTo, writeValue`

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheIdMessage

`cacheGroupMessage, cacheId, cacheId, handlerId`

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheMessage

`appendFlag, classError, deployInfo, error, finishUnmarshal, finishUnmarshalCacheObjects, finishUnmarshalCacheObjects, ignoreClassErrors, marshalCollection, marshalInfo, marshalInfos, marshalInvokeArguments, marshalTx, messageId, nextIndexId, onAckReceived, onClassError, partition, partitionExchangeMessage, prepare, prepareMarshal, prepareMarshalCacheObject, prepareMarshalCacheObjects, prepareMarshalCacheObjects, prepareObject, prepareObject, transferExpiryPolicy, unmarshalCollection, unmarshalInfo, unmarshalInfos, unmarshalInvokeArguments, unmarshalTx`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.GridCacheDeployable

`deployInfo, prepare`

### Methods inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`directType`

### Constructor Detail

#### GridNearAtomicAbstractSingleUpdateRequest

    protected GridNearAtomicAbstractSingleUpdateRequest()

Empty constructor required by `Externalizable`.

#### GridNearAtomicAbstractSingleUpdateRequest

    protected GridNearAtomicAbstractSingleUpdateRequest(int cacheId,
                                                        UUID nodeId,
                                                        long futId,
                                                        @NotNull
                                                        AffinityTopologyVersion topVer,
                                                        CacheWriteSynchronizationMode syncMode,
                                                        GridCacheOperation op,
                                                        @Nullable
                                                        UUID subjId,
                                                        int taskNameHash,
                                                        byte flags,
                                                        boolean addDepInfo)

Constructor.

Parameters:
  `cacheId` - Cache ID.
  `nodeId` - Node ID.
  `futId` - Future ID.
  `topVer` - Topology version.
  `syncMode` - Synchronization mode.
  `op` - Cache update operation.
  `subjId` - Subject ID.
  `taskNameHash` - Task name hash code.
  `flags` - Flags.
  `addDepInfo` - Deployment info flag.

### Method Detail

#### expiry

    public javax.cache.expiry.ExpiryPolicy expiry()

Specified by:
  `expiry` in class `GridNearAtomicAbstractUpdateRequest`
Returns:
  Expiry policy.

#### invokeArguments

    @Nullable
    public Object[] invokeArguments()

Specified by:
  `invokeArguments` in class `GridNearAtomicAbstractUpdateRequest`
Returns:
  Optional arguments for entry processor.

#### filter

    @Nullable
    public CacheEntryPredicate[] filter()

Specified by:
  `filter` in class `GridNearAtomicAbstractUpdateRequest`
Returns:
  Filter.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridNearAtomicAbstractUpdateRequest`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018